%define upstream_name    User
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:        API for locating user information regardless of OS
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/User/%{upstream_name}-%{upstream_version}.tar.gz



BuildArch:      noarch


%description
This module allows applications to retrieve per-user characteristics.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc Changes
%{perl_vendorlib}/User.pm
%{_mandir}/*/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.900.0-7.mga6
+ Revision: 1035666
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.900.0-6.mga6
+ Revision: 931305
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.900.0-5.mga5
+ Revision: 747327
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.900.0-4.mga5
+ Revision: 686808
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.900.0-3.mga4
+ Revision: 515853
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.900.0-2.mga3
+ Revision: 374626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.900.0-1.mga1
+ Revision: 23057
- cleaning spec file
- imported package perl-User


* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.900.0-1mdv2011.0
+ Revision: 551201
- update to 1.9

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.8-5mdv2010.0
+ Revision: 430612
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.8-4mdv2009.0
+ Revision: 258728
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.8-3mdv2009.0
+ Revision: 246677
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.8-1mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.8-1mdv2008.0
+ Revision: 20767
- 1.8


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-2mdv2007.0
- Rebuild

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-1mdk
- first mdk release

